Bug 230701 - databases/mongodb34-tools: Fails to build with OpenSSL 1.1.x
Summary: databases/mongodb34-tools: Fails to build with OpenSSL 1.1.x
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Baldwin
URL:
Keywords:
Depends on:
Blocks: 228865
  Show dependency treegraph
 
Reported: 2018-08-17 13:20 UTC by Bernard Spil
Modified: 2019-11-17 04:32 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (numisemis)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-08-17 13:20:39 UTC
"incomplete type 'BIO_METHOD'"

Likely fixed in a later release, they've switchted to a different upstream for go openssl.

During BSDCan 2018 the intention to update OpenSSL in base to 1.1.x branch was documented.

Intention is to update OpenSSL in 12-STABLE to 1.1.1 when that is released. 

Poudriere log: https://keg.brnrd.eu/data/111amd64-default-openssl110/2018-08-17_12h10m13s/logs/errors/mongodb34-3.4.16.log
Comment 1 Nathan 2018-09-15 02:13:25 UTC
set BUILD_DEPENDS=openssl-devel ..... version 1.1.0 built fine on freebsd current amd64
Comment 2 Kurt Jaeger freebsd_committer 2018-12-23 19:44:13 UTC
Fixed with r488220 from PR#230698
Comment 3 Kurt Jaeger freebsd_committer 2018-12-23 20:25:33 UTC
Hmm, on a second look: We better test if this works (with -tools 3.4.18)
Comment 4 Kurt Jaeger freebsd_committer 2018-12-23 20:34:25 UTC
tests with -tools-3.4.18: does not build.
Comment 5 Palle Girgensohn freebsd_committer 2019-01-25 10:25:20 UTC
Still breaks, any progress here?
Comment 6 John Baldwin freebsd_committer freebsd_triage 2019-11-16 01:09:12 UTC
Closed for same reasons as 230728.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-17 04:31:14 UTC
^Triage: Assign to committer that resolved
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2019-11-17 04:32:04 UTC
(In reply to John Baldwin from comment #6)

Bug 230728 comment 2